import type { App } from 'vue'
import { createPinia } from 'pinia'
// import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import { createPersistedState } from 'pinia-plugin-persistedstate'

const store = createPinia()

// store.use(piniaPluginPersistedstate)

store.use(
  createPersistedState({
    storage: sessionStorage
  })
)

export const setupStore = (app: App<Element>) => {
  app.use(store)
}

export { store }
